# PlotMM::Paint Class Reference

List of all members.

## Detailed Description

A class to define pens and brushes for painting.

## Public Member Functions

| Paint (const Paint &c)
bool | operator!= (const Paint &) const
bool | operator== (const Paint &) const
void | set_pen_color (const Gdk::Color &)
void | set_brush_color (const Gdk::Color &)
Glib::RefPtr< Gdk::GC > | pen (const Glib::RefPtr< Gdk::Drawable > &) const
Glib::RefPtr< Gdk::GC > | brush (const Glib::RefPtr< Gdk::Drawable > &) const
bool | filled () const

## Member Function Documentation

Glib::RefPtr< Gdk::GC > Paint::brush | ( | const Glib::RefPtr< Gdk::Drawable > & |  | ) | const

| Return Brush (no fill).

Glib::RefPtr< Gdk::GC > Paint::pen | ( | const Glib::RefPtr< Gdk::Drawable > & |  | ) | const

| Return Pen (only outline).

void Paint::set_brush_color | ( | const Gdk::Color & | c | ) |

| Set the color of the brush The pen is used to fill objects

void Paint::set_pen_color | ( | const Gdk::Color & | c | ) |

| Set the color of the pen The pen is used to draw lines or outlines of objects